## qteachme 0.1

=== Makefile ===
#############################################################################
# Makefile for building: build/qteachme
# Generated by qmake (2.01a) (Qt 4.5.3) on: Thu Mar 11 07:58:57 2010
# Project:  qteachme.pro
# Template: app
# Command: c:/MADDE/0.6.14/targets/fremantle-qt-0951/bin/qmake.exe -unix -o Makefile qteachme.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_SQL_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O0 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O0 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/default -I. -I../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/include/qt4/QtCore -I../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/include/qt4/QtGui -I../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/include/qt4/QtXml -I../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/include/qt4/QtSql -I../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/include/qt4 -Ibuild -Ibuild
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -LC:/MADDE/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/lib -Wl,-rpath-link=/usr/lib -lQtSql -lQtXml -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = c:/MADDE/0.6.14/targets/fremantle-qt-0951/bin/qmake.exe
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = src/main.cpp \
		src/mainwindow.cpp \
		src/settings.cpp \
		src/importflashcard.cpp build/moc_mainwindow.cpp \
		build/moc_settings.cpp \
		build/moc_importflashcard.cpp
OBJECTS       = build/main.o \
		build/mainwindow.o \
		build/settings.o \
		build/importflashcard.o \
		build/moc_mainwindow.o \
		build/moc_settings.o \
		build/moc_importflashcard.o
DIST          = ../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/common/g++.conf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/common/unix.conf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/common/linux.conf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/qconfig.pri \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/qt_config.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/debug.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/default_post.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/warn_on.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/qt.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/moc.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/resources.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/uic.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/yacc.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/lex.prf \
		qteachme.pro
QMAKE_TARGET  = qteachme
DESTDIR       = build/
TARGET        = build/qteachme

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): build/ui_mainwindow.h build/ui_settings.h build/ui_importflashcard.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: qteachme.pro  ../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/default/qmake.conf ../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/common/g++.conf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/common/unix.conf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/common/linux.conf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/qconfig.pri \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/qt_config.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/debug.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/default_post.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/warn_on.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/qt.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/moc.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/resources.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/uic.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/yacc.prf \
		../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/lex.prf \
		c:\MADDE\0.6.14\sysroots\fremantle-arm-sysroot-2.2009-51-1-qt453\usr\lib\libQtSql.prl \
		c:\MADDE\0.6.14\sysroots\fremantle-arm-sysroot-2.2009-51-1-qt453\usr\lib\libQtXml.prl \
		c:\MADDE\0.6.14\sysroots\fremantle-arm-sysroot-2.2009-51-1-qt453\usr\lib\libQtGui.prl \
		c:\MADDE\0.6.14\sysroots\fremantle-arm-sysroot-2.2009-51-1-qt453\usr\lib\libQtCore.prl
	$(QMAKE) -unix -o Makefile qteachme.pro
../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/common/g++.conf:
../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/common/unix.conf:
../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/common/linux.conf:
../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/qconfig.pri:
../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/qt_functions.prf:
../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/qt_config.prf:
../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/default_pre.prf:
../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/debug.prf:
../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/default_post.prf:
../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/warn_on.prf:
../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/qt.prf:
../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/unix/thread.prf:
../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/moc.prf:
../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/resources.prf:
../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/uic.prf:
../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/yacc.prf:
../../../sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/lex.prf:
c:\MADDE\0.6.14\sysroots\fremantle-arm-sysroot-2.2009-51-1-qt453\usr\lib\libQtSql.prl:
c:\MADDE\0.6.14\sysroots\fremantle-arm-sysroot-2.2009-51-1-qt453\usr\lib\libQtXml.prl:
c:\MADDE\0.6.14\sysroots\fremantle-arm-sysroot-2.2009-51-1-qt453\usr\lib\libQtGui.prl:
c:\MADDE\0.6.14\sysroots\fremantle-arm-sysroot-2.2009-51-1-qt453\usr\lib\libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile qteachme.pro

dist: 
	@$(CHK_DIR_EXISTS) build/qteachme1.0.0 || $(MKDIR) build/qteachme1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/qteachme1.0.0/ && $(COPY_FILE) --parents src/mainwindow.h src/settings.h src/importflashcard.h build/qteachme1.0.0/ && $(COPY_FILE) --parents src/main.cpp src/mainwindow.cpp src/settings.cpp src/importflashcard.cpp build/qteachme1.0.0/ && $(COPY_FILE) --parents uis/mainwindow.ui uis/settings.ui uis/importflashcard.ui build/qteachme1.0.0/ && (cd `dirname build/qteachme1.0.0` && $(TAR) qteachme1.0.0.tar qteachme1.0.0 && $(COMPRESS) qteachme1.0.0.tar) && $(MOVE) `dirname build/qteachme1.0.0`/qteachme1.0.0.tar.gz . && $(DEL_FILE) -r build/qteachme1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


debian-all: debian-src debian-bin

debian-src:
	dpkg-buildpackage -S -r -us -uc -d

debian-bin:
	dpkg-buildpackage -b -r -uc -d

compiler_clean:
	-$(DEL_FILE) $(TARGET)

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: build/moc_mainwindow.cpp build/moc_settings.cpp build/moc_importflashcard.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) build/moc_mainwindow.cpp build/moc_settings.cpp build/moc_importflashcard.cpp
build/moc_mainwindow.cpp: src/settings.h \
		src/importflashcard.h \
		src/mainwindow.h
	C:/MADDE/0.6.14/targets/fremantle-qt-0951/bin/moc $(DEFINES) $(INCPATH) src/mainwindow.h -o build/moc_mainwindow.cpp

build/moc_settings.cpp: src/settings.h
	C:/MADDE/0.6.14/targets/fremantle-qt-0951/bin/moc $(DEFINES) $(INCPATH) src/settings.h -o build/moc_settings.cpp

build/moc_importflashcard.cpp: src/importflashcard.h
	C:/MADDE/0.6.14/targets/fremantle-qt-0951/bin/moc $(DEFINES) $(INCPATH) src/importflashcard.h -o build/moc_importflashcard.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: build/ui_mainwindow.h build/ui_settings.h build/ui_importflashcard.h
compiler_uic_clean:
	-$(DEL_FILE) build/ui_mainwindow.h build/ui_settings.h build/ui_importflashcard.h
build/ui_mainwindow.h: uis/mainwindow.ui
	c:/MADDE/0.6.14/targets/fremantle-qt-0951/bin/uic uis/mainwindow.ui -o build/ui_mainwindow.h

=== debian/changelog ===
qteachme (0.1) unstable; urgency=low

  * Initial Release.

 -- unknown <lundgrem@unknown>  Fri, 19 Feb 2010 22:31:55 +0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# CFLAGS = -Wall
#
# ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
#	CFLAGS += -O0
# else
#	CFLAGS += -O2
# endif




configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	qmake
#	qmake-qt4
#	/opt/qt4-maemo5/bin/qmake-qt4
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
#	$(MAKE) CFLAGS="$(CFLAGS)"

	#docbook-to-man debian/qteachme.sgml > qteachme.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/qteachme.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/qteachme install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_maemo_package_icons
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
#	dh_maemo_package_icons -r

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## qteachme 0.1.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: build/qteachme
-# Generated by qmake (2.01a) (Qt 4.5.3) on: Thu Mar 11 07:58:57 2010
+# Generated by qmake (2.01a) (Qt 4.5.3) on: Sat Mar 13 08:16:46 2010
 # Project:  qteachme.pro
 # Template: app
 # Command: c:/MADDE/0.6.14/targets/fremantle-qt-0951/bin/qmake.exe -unix -o Makefile qteachme.pro

=== debian/changelog ===
qteachme (0.1.1) unstable; urgency=low

  * Initial Release.

 -- unknown <lundgrem@unknown>  Fri, 19 Feb 2010 22:31:55 +0800

=== debian/control ===
Source: qteachme
Section: user/education
Priority: extra
Maintainer: Magnus Lundgren <magnuslu@hotmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.3
Homepage: No homepage

Package: qteachme
Architecture: any
Depends: libqt4-phonon, ${shlibs:Depends}, ${misc:Depends}
Description: Learn anything with Qteachme
 Currently, only a Chinese vocabulary is supported. Future versions may allow
 options to add your own vocabulary. The first version only exists for the Maemo
 platform and has only been tested on the Nokia N900. A Symbian version is 
 also being developed.
XSBC-Maemo-Display-Name: Qteachme
# XB-Maemo-Icon-26 field contains the application icon file encoded in
# base64. This is the icon that is shown in the Application Manager,
# next to the package name. To perform this encoding use following mad
# command: $ mad base64 <48x48 icon file name>
# For example following XB-Maemo-Icon-26 field content is an output
# from command: $ mad base64 qteachme/src/data/48x48/qteachme.png
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oBGQ0SFuv48p0AAAAZdEVYdENv
 bW1lbnQAQ3JlYXRlZCB3aXRoIEdJTVBXgQ4XAAACp0lEQVRo3u2Yz0tVURDHv08dK4r2GUmWELSI
 sMCCSHdluS0QIWtXVIt20Z/QPm1R0D5a92OnRAqKllRkP6BFEQhZSIr1wffazIXD9d5nT6+ZdL4w
 3HNn7vnOmTk/3rwjRUREREQUCeA8UHHpK4Av4eoJdD2Jfi0CGA6cPiswgA+AAY3eLiSAupSzA5KO
 SHoh6bWko64LB5LIG6BtOVuATZIuujRWCbQCLACjwLEc/hngcla2+oFpoBnYD8wBt1IkJ4Aub4/X
 YOtz7mngXN4MAPXAIbe/T3GcAfZ5e1aSSkHHbZI+S9qe4pyV1CTpR5DJkqQFSZhZYzCQarZ6SWOS
 KpIOSypLkpmV3P8VSdckNUtq8D4VM6sLOBrMbDF5N7NSQzDQHh/8kJl1OOmgpONuS9ARLL1XqWBz
 bWZWltQWJCyd/JuStkg66M/hMMHOsVhts4351PQGul7XjWWsw6kqe2CJLW/NB+/Xga9prpxvaz8A
 qnVasyOx1lMoIiJi5Rt5vRA38YZdQsBO4D7wLaXfAzz0OmoOeAS01FSU/aUAnvr7VaAx+GYko7Ab
 Wa4oWylKtQaQFFHAL0kmaauZzQff4MVYtcJuSVG2Hpt41J8XAAv040Fh1+ntiT8uyv7iEtoFPAC+
 p/StwGNg3uUJsLewoiwiIiJiQ5UONzKOvi5g3O9uFoAJoPuf8+MEnzKIZ1zXFtzfzKxi8KvyU5dD
 2irpnqSzGeZ3/iwndzuSpjI4brvT00C3tweK9pOXlZfApZxfzxbgbeoKZXcGhwFDwBeXwVTJUYif
 5S5ks+5oJjOmdjKHpz3o374WfjKXkJmVEgl13mwKpjbJ2I6MwW2WNCDpo0u/6wr1U/P/YOAU8Bz4
 6TIBnMzodxcoA50uZeBO0X4iIiIiIv5v/AZU3LjyjeB2pwAAAABJRU5ErkJggg==
